Create Wikipedia Tulu
Closed, ResolvedPublic

Description

The language committee has approved the creation of Wikipedia Tulu.
https://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikipedia_Tulu

Language code: tcy
Site URL: tcy.wikipedia.org
Project name: ವಿಕಿಪೀಡಿಯ
Project namespace: ಪ್ರಾಜೆಕ್ಟು
Project talk namespace: ಪ್ರಾಜೆಕ್ಟು_ಚರ್ಚೆ
Project logo: https://commons.wikimedia.org/wiki/File:Wikipedia-logo-v2-tcy.svg
Timezone: Asia/Kolkata

Thank you.

Related Objects

There are a very large number of changes, so older changes are hidden. Show Older Changes
Dereckson updated the task description. (Show Details)Jul 20 2016, 8:49 PM

I think I will try to do the rOMWC changes for initial configuration as well.

Dereckson added a subscriber: Dereckson.EditedJul 20 2016, 9:32 PM

You can put everything in one change, that's easier to improve and review.

You can put everythign in one change, that's easier to improve and review.

Thank you. I was looking at 9483358b3f80 that you did as an example/guide :)

Change 300025 merged by Dzahn:
DNS configuration change for creating tcy.wikipedia.org

https://gerrit.wikimedia.org/r/300025

everything that was needed on T134017 to add "jam" recently, also needs to be done here. we can make a checklist out of the jam ticket.

everything that was needed on T134017 to add "jam" recently, also needs to be done here. we can make a checklist out of the jam ticket.

That'd be helpful I think. We could also add it to the wikitechwiki documentation page too later.

Change 300182 had a related patch set uploaded (by Paladox):
Initialize configuration for tcy.wikipedia

https://gerrit.wikimedia.org/r/300182

Dzahn added a subscriber: Glaisher.Jul 21 2016, 4:19 AM

copying verbatim comment from @Glaisher on T134017#2253719


Could someone provide the translations for the namespace names? If possible, please provide them in the format below with the English translations replaced so that it's copy-paste friendly. Special:AdvancedTranslate was killed.

NS_MEDIA => 'Media',
NS_SPECIAL => 'Special',
NS_TALK => 'Talk',
NS_USER => 'User',
NS_USER_TALK => 'User_talk',
NS_PROJECT_TALK => '$1_talk',
NS_FILE => 'File',
NS_FILE_TALK => 'File_talk',
NS_MEDIAWIKI => 'MediaWiki',
NS_MEDIAWIKI_TALK => 'MediaWiki_talk',
NS_TEMPLATE => 'Template',
NS_TEMPLATE_TALK => 'Template_talk',
NS_HELP => 'Help',
NS_HELP_TALK => 'Help_talk',
NS_CATEGORY => 'Category',
NS_CATEGORY_TALK => 'Category_talk',

Change 300214 had a related patch set uploaded (by Dzahn):
restbase: add new tcy.wikipedia

https://gerrit.wikimedia.org/r/300214

Change 300215 had a related patch set uploaded (by Dzahn):
labs dnsrecursor: add tcy.wiki(pedia)

https://gerrit.wikimedia.org/r/300215

Change 300219 had a related patch set uploaded (by Dzahn):
add new 'tcy' Wikipedia to the family

https://gerrit.wikimedia.org/r/300219

@AlexMonk-WMF is an Interwiki cache update like https://gerrit.wikimedia.org/r/#/c/286552/1 needed for this as well?

Dzahn added a subscriber: aude.Jul 21 2016, 6:31 AM

@aude could we have a change like https://gerrit.wikimedia.org/r/#/c/288097/4 for "tcy"?

Dzahn added a comment.Jul 21 2016, 6:34 AM

also needed:

  • database replica labs (DBA)

also needed:

Correction:

  • Production-side filtering for labs (DBA)
  • Make new wikis available to users (labs admins)

I cannot do the first until the database is created. The second depend on this.

@AlexMonk-WMF is an Interwiki cache update like https://gerrit.wikimedia.org/r/#/c/286552/1 needed for this as well?

After the creation itself is done, yes.

copying verbatim comment from @Glaisher on T134017#2253719


Could someone provide the translations for the namespace names? If possible, please provide them in the format below with the English translations replaced so that it's copy-paste friendly. Special:AdvancedTranslate was killed.

NS_MEDIA => 'Media',
NS_SPECIAL => 'Special',
NS_TALK => 'Talk',
NS_USER => 'User',
NS_USER_TALK => 'User_talk',
NS_PROJECT_TALK => '$1_talk',
NS_FILE => 'File',
NS_FILE_TALK => 'File_talk',
NS_MEDIAWIKI => 'MediaWiki',
NS_MEDIAWIKI_TALK => 'MediaWiki_talk',
NS_TEMPLATE => 'Template',
NS_TEMPLATE_TALK => 'Template_talk',
NS_HELP => 'Help',
NS_HELP_TALK => 'Help_talk',
NS_CATEGORY => 'Category',
NS_CATEGORY_TALK => 'Category_talk',

Here you go-

NS_MEDIA => 'ಮಾದ್ಯಮೊ',
NS_SPECIAL => 'ವಿಸೇಸೊ',
NS_TALK => 'ಪಾತೆರ',
NS_USER => 'ಬಳಕೆದಾರೆ',
NS_USER_TALK => 'ಬಳಕೆದಾರೆ_ಪಾತೆರ',
NS_PROJECT_TALK => '$1_ಪಾತೆರ',
NS_FILE => ' ಫೈಲ್ ',
NS_FILE_TALK => 'ಫೈಲ್_ಪಾತೆರ',
NS_MEDIAWIKI => 'ಮಾದ್ಯಮೊ ವಿಕಿ',
NS_MEDIAWIKI_TALK => 'ಮಾದ್ಯಮೊ ವಿಕಿ_ಪಾತೆರ',
NS_TEMPLATE => 'ಟೆಂಪ್ಲೇಟ್',
NS_TEMPLATE_TALK => 'ಟೆಂಪ್ಲೇಟ್_ಪಾತೆರ',
NS_HELP => 'ಸಕಾಯೊ',
NS_HELP_TALK => 'ಸಕಾಯೊ_ಪಾತೆರ',
NS_CATEGORY => 'ವರ್ಗೊ',
NS_CATEGORY_TALK => 'ವರ್ಗೊ_ಪಾತೆರ',

Could someone do the images please?

We need the normal image, a 1.5x image and 2x image please.

By image I mean logo please.

copying verbatim comment from @Glaisher on T134017#2253719


Could someone provide the translations for the namespace names? If possible, please provide them in the format below with the English translations replaced so that it's copy-paste friendly. Special:AdvancedTranslate was killed.

NS_MEDIA => 'Media',
NS_SPECIAL => 'Special',
NS_TALK => 'Talk',
NS_USER => 'User',
NS_USER_TALK => 'User_talk',
NS_PROJECT_TALK => '$1_talk',
NS_FILE => 'File',
NS_FILE_TALK => 'File_talk',
NS_MEDIAWIKI => 'MediaWiki',
NS_MEDIAWIKI_TALK => 'MediaWiki_talk',
NS_TEMPLATE => 'Template',
NS_TEMPLATE_TALK => 'Template_talk',
NS_HELP => 'Help',
NS_HELP_TALK => 'Help_talk',
NS_CATEGORY => 'Category',
NS_CATEGORY_TALK => 'Category_talk',

Here you go-

NS_MEDIA => 'ಮಾದ್ಯಮೊ',
NS_SPECIAL => 'ವಿಸೇಸೊ',
NS_TALK => 'ಪಾತೆರ',
NS_USER => 'ಬಳಕೆದಾರೆ',
NS_USER_TALK => 'ಬಳಕೆದಾರೆ_ಪಾತೆರ',
NS_PROJECT_TALK => '$1_ಪಾತೆರ',
NS_FILE => ' ಫೈಲ್ ',
NS_FILE_TALK => 'ಫೈಲ್_ಪಾತೆರ',
NS_MEDIAWIKI => 'ಮಾದ್ಯಮೊ ವಿಕಿ',
NS_MEDIAWIKI_TALK => 'ಮಾದ್ಯಮೊ ವಿಕಿ_ಪಾತೆರ',
NS_TEMPLATE => 'ಟೆಂಪ್ಲೇಟ್',
NS_TEMPLATE_TALK => 'ಟೆಂಪ್ಲೇಟ್_ಪಾತೆರ',
NS_HELP => 'ಸಕಾಯೊ',
NS_HELP_TALK => 'ಸಕಾಯೊ_ಪಾತೆರ',
NS_CATEGORY => 'ವರ್ಗೊ',
NS_CATEGORY_TALK => 'ವರ್ಗೊ_ಪಾತೆರ',

Thankyou.

Liuxinyu970226 added a comment.EditedJul 22 2016, 12:21 AM

@Pavanaja what about Module and Module talk? How do you translate them?

Reedy added a subscriber: Reedy.Jul 22 2016, 12:22 AM

@Pavanaja what about Module and Module talk? How do you translate them?

Note, they should really be added straight to Scribunto

Change 300219 merged by jenkins-bot:
Add new 'tcy' Wikipedia to the family

https://gerrit.wikimedia.org/r/300219

@Pavanaja what about Module and Module talk? How do you translate them?

Note, they should really be added straight to Scribunto

ಮೋಡ್ಯೂಲ್ ಪಾತೆರ

Change 300215 merged by Dzahn:
labs dnsrecursor: add tcy.wiki(pedia)

https://gerrit.wikimedia.org/r/300215

Reedy added a comment.Jul 22 2016, 5:38 PM

ಮೋಡ್ಯೂಲ್ ಪಾತೆರ

I don't want to mangle these...

$namespaceNames['en'] = array(
	828 => 'Module',
	829 => 'Module_talk',
);

is for english. Can you fill out the below and paste it back please? :)

$namespaceNames['tcy'] = array(
	828 => '',
	829 => '',
);

ಮೋಡ್ಯೂಲ್ ಪಾತೆರ

I don't want to mangle these...

$namespaceNames['en'] = array(
	828 => 'Module',
	829 => 'Module_talk',
);

is for english. Can you fill out the below and paste it back please? :)

$namespaceNames['tcy'] = array(
	828 => '',
	829 => '',
);

$namespaceNames['tcy'] = array(
828 => 'ಮೋಡ್ಯೂಲ್',
829 => 'ಮೋಡ್ಯೂಲ್_ಪಾತೆರ',
);

Change 300588 had a related patch set uploaded (by Reedy):
Add tcy translations for Scribunto namespaces

https://gerrit.wikimedia.org/r/300588

Change 300588 merged by jenkins-bot:
Add tcy translations for Scribunto namespaces

https://gerrit.wikimedia.org/r/300588

Change 302080 had a related patch set uploaded (by MarcoAurelio):
$namespaceNames for tcy language

https://gerrit.wikimedia.org/r/302080

Change 302080 merged by jenkins-bot:
$namespaceNames for tcy language

https://gerrit.wikimedia.org/r/302080

Dereckson added a comment.EditedAug 1 2016, 1:09 PM

Okay, so let's wait wmf13 is deployed and we create the wiki?

The ideal moment could be Thursday, August 04 21:00 UTC after the wiki train, before the evening SWAT.

If there is no objection for this date and time, I'll contact greg to schedule a deployment window.

greg added a subscriber: greg.Aug 3 2016, 6:08 PM

Okay, so let's wait wmf13 is deployed and we create the wiki?

The ideal moment could be Thursday, August 04 21:00 UTC after the wiki train, before the evening SWAT.

If there is no objection for this date and time, I'll contact greg to schedule a deployment window.

Approved, please add to the calendar. Thanks for working on this!

@MF-Warburg Could you ask them what collation they want for the categories?

Change 300182 merged by jenkins-bot:
Initial configuration for tcy.wikipedia

https://gerrit.wikimedia.org/r/300182

Mentioned in SAL [2016-08-04T22:16:12Z] <Dereckson> Synchronized static/images/project-logos: Logos for tcy.wikipedia.org (T140898) (duration: 00m 48s)

Change 300214 merged by RobH:
restbase: add new tcy.wikipedia

https://gerrit.wikimedia.org/r/300214

Change 303098 had a related patch set uploaded (by Dereckson):
Interwiki update: tcy.wikipedia.org

https://gerrit.wikimedia.org/r/303098

Change 303098 merged by jenkins-bot:
Interwiki update: tcy.wikipedia.org

https://gerrit.wikimedia.org/r/303098

Mentioned in SAL [2016-08-04T23:12:11Z] <dereckson@tin> Synchronized wmf-config/interwiki.php: Interwiki map update for tcy.wikipedia.org ([[Gerrit:303098]], T140898) (duration: 01m 05s)

Change 303101 had a related patch set uploaded (by Dereckson):
Site matrix update, mainly for tcy.wikipedia.org

https://gerrit.wikimedia.org/r/303101

Change 303105 had a related patch set uploaded (by Dereckson):
Localisation update for tcy.wikipedia

https://gerrit.wikimedia.org/r/303105

Change 303107 had a related patch set uploaded (by Dereckson):
Count tcy.wikipedia page views

https://gerrit.wikimedia.org/r/303107

Change 303105 merged by jenkins-bot:
Localisation update for tcy.wikipedia

https://gerrit.wikimedia.org/r/303105

Change 303101 merged by jenkins-bot:
Site matrix update, mainly for tcy.wikipedia.org

https://gerrit.wikimedia.org/r/303101

Change 303110 had a related patch set uploaded (by Dereckson):
New language code: tcy

https://gerrit.wikimedia.org/r/303110

Dereckson added a comment.EditedAug 5 2016, 12:38 AM

So today I created the wiki and prepared a series of patches for services and l10n.

We got a small issue, reported as T142153. Notifications also have an error in JS, reported as T142148.

Thanks to @Dzahn @Paladox aude Roan jynus Reedy Krenair MarcoAurelio and all I forgot for their assistance on the matter.

Next steps are:

  • SPQRobin to import the wiki content from Incubator
  • Jynus to create the replication labs db

An important missing setting is perhaps the collation to use for categories.

So today I created the wiki and prepared a series of patches for services and l10n.

An important missing setting is perhaps the collation to use for categories.

At present Tulu is using Kannada script, Which means the same collation order being used. This is oky for the time being till Tulu language gets added to Unicode.

Change 303107 abandoned by Nuria:
Count tcy.wikipedia page views

Reason:
Done here: https://phabricator.wikimedia.org/T142175

https://gerrit.wikimedia.org/r/303107

Change 303110 merged by jenkins-bot:
registry: Add Tulu Wikipedia

https://gerrit.wikimedia.org/r/303110

Is this completed now @Dereckson?

Dereckson closed this task as Resolved.Jan 11 2017, 9:41 PM
Dereckson claimed this task.

Yes, I checked the steps on Add wiki documentation, all is now in order, and the wiki is operational.

Dereckson removed Dereckson as the assignee of this task.Jan 11 2017, 9:42 PM
Meno25 removed a subscriber: Meno25.Jan 13 2017, 6:33 AM